Subject: RE: TIA/EIA - noted in passing

From: "Farid Khafizov" <[email-masked]>
Date: Sun, 19 Aug 2001 21:05:18 -0500

Lloyd is right.

I don't think IS95 itself discusses TCP - it is a physical layer spec, 
but IS99 (spec for data services over IS95) does have a section (#3.3) 
discussing Transport Layer.
Here is a quote from page 3-7: "TCP should advertise a window size 
no smaller than twice the advertised MSS, and no larger than 
4 times the MSS". I don't know the reason for such recommendation. 
Perhaps to avoid excessive re-transmission due to RTO expiration when 
channel is fading. The document also recommends limiting segment 
size to 2047 "to prevent excessive segment error rates", which is a valid
concern.

IS707-A-2 BRV does not mention MSS or any other TCP configuration options, 
and it shouldn't as anything above RLP is out scope of this document.

The fundamental difference between the two documents is that IS99 is 
addressing circuit switched data (async data & digital G3 fax) requirements
and 
uses TCP for the (Um) interface between the Mobile Station and the BTS.
IS707 is addressing packet switched data.

--Farid

> -----Original Message-----
> From:	Kamesh Medepalli [SMTP:[email-masked]]
> Sent:	Wednesday, August 15, 2001 8:56 AM
> To:	Lloyd Wood
> Cc:	PILC mailing list
> Subject:	Re: TIA/EIA - noted in passing
> 
> Lloyd Wood wrote:
> > I haven't read these documents, which are not freely available
> > (US$420); I'm taking this description on trust.
> 
> You should be glad you have that disclaimer! Addressing TCP receiver
> buffer 
> size is outside the scope of these documents (including IS-707).
> 
> ..K
> 
> 
> > 
> > I'm told IS-95A recommends a TCP receiver buffer size of 2xMSS. So
> > much for any SACK use, although SACK wasn't standards-track in '95.
> > That more or less corresponds with the old 4K reference implementation
> > for TCP, I suppose.
> > 
> > IS99 increases that to 4xMSS. Which again isn't much use for SACK or
> > SACK blocks, and might look a bit silly these days. 4 = 1+3; I wonder
> > if there's a misunderstanding of how SACK works... MSS size will be
> > limited by the immediately adjacent wireless hop.
> > 
> > TIA/EIA/IS-707 revision A is, I gather, the current revision; can
> > anyone who has read it comment on what it says?
> > 
> > curious,
> > 
> > L.
> > 
> > <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>